1. Usage
Leadfeeder API
  • Leadfeeder API
  • Authentication
  • Getting Started
  • Rate Limits
  • Relationships
  • Company ID Lifecycle
  • OpenAPI Specification Access
  • List of NACE / WZ codes
  • List of Industries
  • AI & MCP
    • Overview of the Leadfeeder MCP Server
    • Quickstart
    • Connect your AI tool
    • Authentication and permissions
  • Account
    • List Accounts
  • Companies
    • Retrieve Companies
    • Create Company Enrichment Job
    • Estimate Company Enrichment Job
    • Get Company Enrichment Job Status
    • Retrieve Company IPs
    • Match Companies
    • Search Companies
    • Search Company Signals
    • Get Company Details
    • Update a Company
    • Company Financial Reports
    • Remove Company from Lists
    • Add Company to Lists
    • Unassign Tags from Company
    • Assign Tags to Company
  • Contacts
    • Retrieve Contacts
    • Create Find Contact Data Job
    • Estimate Find Contact Data Job
    • Get Find Contact Data Job Status
    • Search Contacts
    • Get Contact Details
    • Update a Contact
    • Remove Contact from Lists
    • Add Contact to Lists
  • Web Visits
    • How to Create Custom Feed
    • Custom Feed - Filter Reference
    • Search Web Visits
    • Retrieve Visitor Companies
    • Retrieve Custom Feeds
    • Create a Custom Feed
    • Retrieve Custom Feeds Folders
    • Delete a Custom Feed
    • Get Custom Feed Details
    • Update Custom Feed
    • Retrieve Web Visits Tracker Script
    • Retrieve Goals
    • Create a Goal
    • Delete a Goal
    • Get Goal Details
    • Update a Goal
  • Campaigns
    • Retrieve Campaigns
    • Get Campaign Details
    • Update Campaign
    • Retrieve Campaign Stats
  • IP
    • Enrich Company IP Address
  • Buyer Personas
    • Retrieve Buyer Personas
    • Create a Buyer Persona
    • Delete a Buyer Persona
    • Get Buyer Persona Details
    • Update a Buyer Persona
  • Ideal Customer Profiles
    • Retrieve Ideal Customer Profiles
    • Create an Ideal Customer Profile
    • Retrieve Company ICP Matches
    • Delete an Ideal Customer Profile
    • Get Ideal Customer Profile Details
    • Update an Ideal Customer Profile
  • Tags
    • Retrieve Tags
    • Create Tag
    • Create Batch Add Tags Job
    • Get Batch Add Tags Job
    • Create Batch Remove Tags Job
    • Get Batch Remove Tags Job
    • Delete Tag
    • Get Tag Details
    • Update Tag
  • Lists
    • Retrieve Lists
    • Create a List
    • Create Batch Add to List Job
    • Get Batch Add to List Job
    • Create Batch Remove from List Job
    • Get Batch Remove from List Job
    • Retrieve Company List Memberships
    • Retrieve Contact List Memberships
    • Delete List
    • Get List Details
    • Update List
    • Retrieve List Items
  • Custom Fields
    • Retrieve Custom Fields
    • Create Custom Field
    • Delete Custom Field
    • Get Custom Field Details
    • Update Custom Field
  • Users
    • Get Current User
  • Settings
    • Get Cookie Consent Settings
    • Update Cookie Consent Settings
    • Get Data Processing Settings
    • Update Data Processing Settings
  • Usage
    • Get Endpoints Usage
      GET
  • Reference Data
    • Get Countries with Regions
    • Get Geo Suggestions
    • Get Industries
  • Schemas
    • AccountCompanyV1
    • AccountSummaryV1
    • AccountV1
    • ApiUsageV1
    • BatchAddTagsJobV1
    • BatchAddToListJobV1
    • BatchRemoveFromListJobV1
    • BatchRemoveTagsJobV1
    • BuyerPersonaRequestV1
    • BuyerPersonaV1
    • CampaignLocationV1
    • CampaignSettingsV1
    • CampaignStatsV1
    • CampaignSummaryV1
    • CampaignV1
    • CompaniesAdvancedSearchFilterItem
    • CompanyFinancialsV1
    • CompanyIndustryV1
    • CompanyLocationV1
    • CompanyIpV1
    • CompanyMatchV1
    • CompanySummaryV1
    • CompanyV1
    • ContactFilterGroupsV1
    • ConnectedListV1
    • ContactV1
    • ContactSummaryV1
    • CookieConsentSettingsV1
    • CountryV1
    • CustomFeedFolderV1
    • CustomFeedRequestV1
    • CustomFeedV1
    • CustomFieldV1
    • EnrichedIpV1
    • CRMUserV1
    • DataProcessingSettingsV1
    • CRMOrganizationV1
    • ErrorObjectV1
    • EnrichmentJobV1
    • CRMContactV1
    • GeoSuggestionV1
    • FindContactDataJobV1
    • CRMLeadV1
    • ICPV1
    • CRMConnectionV1
    • IpAddressExtendedV1
    • GoalCreateRequestV1
    • CRMSuggestionV1
    • IcpRequestV1
    • IpLocationV1
    • GoalUpdateRequestV1
    • GoalV1
    • CRMGroupConnectionV1
    • ListV1
    • LocationV1
    • MaskedCompanySummaryV1
    • NetworkV1
    • MaskedContactSummaryV1
    • SignalV1
    • TagV1
    • UserV1
    • VisitLocationV1
    • WebVisitV1
    • WebVisitsTrackerScriptV1
  1. Usage

Get Endpoints Usage

GET
/v1/usage
Access usage statistics for various API endpoints for monitoring and auditing purposes.
Returns usage data for all endpoints accessible by the requesting account within the specified date range.
INFO
Requires the usage:read OAuth2 scope.

Request

Authorization
API Key
Add parameter in header
X-Api-Key
Example:
X-Api-Key: ********************
or
Query Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.leadfeeder.com/v1/usage?account_id=123456&start_period=2025-01&end_period=2026-01' \
--header 'X-Api-Key: <api-key>'

Responses

🟢200OK
application/json
Success
Bodyapplication/json

Example
{
    "data": [
        {
            "attributes": {
                "endpoint_path": "/companies/search",
                "http_method": "POST",
                "num_failed_requests": 1,
                "num_requests": 10,
                "num_returned_entities": 100,
                "num_successful_requests": 5,
                "period": "2025-01"
            },
            "id": "2025-01_companies/search_POST",
            "type": "api_usage"
        },
        {
            "attributes": {
                "endpoint_path": "/companies",
                "http_method": "GET",
                "num_failed_requests": 1,
                "num_requests": 25,
                "num_returned_entities": 48,
                "num_successful_requests": 24,
                "period": "2025-03"
            },
            "id": "2025-03_companies_GET",
            "type": "api_usage"
        }
    ],
    "meta": {
        "request_id": "cf054205-dd8c-4473-8689-07c30fe0789f",
        "total_records": 2
    }
}
🟠400Bad Request
🟠401Unauthorized
🟠403Forbidden
🟠429Server Error
🔴500Server Error
🔴504Gateway Timeout
Modified at 2026-10-13 07:27:21
Previous
Update Data Processing Settings
Next
Get Countries with Regions
Built with